Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## netscape.security
Class Target

    java.lang.Object
      netscape.security.Target

Direct Known Subclasses:
  UserTarget

    public class Target

extends java.lang.Object

Constructor Summary
`Target()`
`Target(java.lang.String name)`
`Target(java.lang.String name, Principal prin)`
`Target(java.lang.String name, Principal prin, int risk, java.lang.String riskColor, java.lang.String description, java.lang.String url)`
`Target(java.lang.String name, Principal prin, int risk, java.lang.String riskColor, java.lang.String description, java.lang.String detailDescription, java.lang.String url)`
`Target(java.lang.String name, Principal prin, int risk, java.lang.String riskColor, java.lang.String description, java.lang.String detailDescription, java.lang.String url, Target[] targetAry)`
`Target(java.lang.String name, Principal prin, int risk, java.lang.String riskColor, java.lang.String description, java.lang.String url, Target[] targetAry)`
`Target(java.lang.String name, Principal prin, Target[] targetAry)`

Method Summary
`Privilege` | `checkPrivilegeEnabled(Principal[] prinAry)`
`Privilege` | `checkPrivilegeEnabled(Principal[] prinAry, java.lang.Object data)`
`Privilege` | `checkPrivilegeEnabled(Principal p, java.lang.Object data)`
`Privilege` | `enablePrivilege(Principal prin, java.lang.Object data)`
`boolean` | `equals(java.lang.Object obj)`
`static Target` | `findTarget(java.lang.String name)`
`static Target` | `findTarget(java.lang.String name, Principal prin)`
`static Target` | `findTarget(Target target)`
`static Target[]` | `getAllRegisteredTargets()`
`java.lang.String` | `getDescription()`
`java.lang.String` | `getDetailDescription()`
`java.lang.String` | `getDetailedInfo(java.lang.Object data)`
`java.lang.String` | `getHelpUrl()`
`java.lang.String` | `getName()`
`java.lang.String` | `getRisk()`
`java.lang.String` | `getRiskColor()`
`static Target` | `getTargetFromDescription(java.lang.String desc)`
`int` | `hashCode()`
`Target` | `registerTarget()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Target

    public Target()

### Target

    public Target(java.lang.String name,
                  Principal prin)

### Target

    public Target(java.lang.String name)

### Target

    public Target(java.lang.String name,
                  Principal prin,
                  Target[] targetAry)

### Target

    public Target(java.lang.String name,
                  Principal prin,
                  int risk,
                  java.lang.String riskColor,
                  java.lang.String description,
                  java.lang.String url)

### Target

    public Target(java.lang.String name,
                  Principal prin,
                  int risk,
                  java.lang.String riskColor,
                  java.lang.String description,
                  java.lang.String url,
                  Target[] targetAry)

### Target

    public Target(java.lang.String name,
                  Principal prin,
                  int risk,
                  java.lang.String riskColor,
                  java.lang.String description,
                  java.lang.String detailDescription,
                  java.lang.String url)

### Target

    public Target(java.lang.String name,
                  Principal prin,
                  int risk,
                  java.lang.String riskColor,
                  java.lang.String description,
                  java.lang.String detailDescription,
                  java.lang.String url,
                  Target[] targetAry)

Method Detail

### registerTarget

    public final Target registerTarget()

### findTarget

    public static Target findTarget(java.lang.String name)

### findTarget

    public static Target findTarget(java.lang.String name,
                                    Principal prin)

### findTarget

    public static Target findTarget(Target target)

### checkPrivilegeEnabled

    public Privilege checkPrivilegeEnabled(Principal[] prinAry,
                                           java.lang.Object data)

### checkPrivilegeEnabled

    public Privilege checkPrivilegeEnabled(Principal[] prinAry)

### checkPrivilegeEnabled

    public Privilege checkPrivilegeEnabled(Principal p,
                                           java.lang.Object data)

### enablePrivilege

    public Privilege enablePrivilege(Principal prin,
                                     java.lang.Object data)

### getAllRegisteredTargets

    public static Target[] getAllRegisteredTargets()

### getRisk

    public java.lang.String getRisk()

### getRiskColor

    public java.lang.String getRiskColor()

### getDescription

    public java.lang.String getDescription()

### getDetailDescription

    public java.lang.String getDetailDescription()

### getTargetFromDescription

    public static Target getTargetFromDescription(java.lang.String desc)

### getHelpUrl

    public java.lang.String getHelpUrl()

### getDetailedInfo

    public java.lang.String getDetailedInfo(java.lang.Object data)

### equals

    public final boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getName

    public java.lang.String getName()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD